# Intel® Enhanced Privacy ID SDK: SigRl Struct Reference

SigRl Struct Reference
epid » common » types

signature based revocation list More...

`#include <epid/common/types.h>`

## Data Fields

GroupId | gid
| group ID
OctStr32 | version
| revocation list version number
OctStr32 | n2
| number of entries in SigRL
SigRlEntry | bk [1]
| revoked Bs and Ks (flexible array)

## Detailed Description

signature based revocation list

Signature based revocation list SigRL: (gid, RLver, n2, B[0], K[0], ..., B[n2-1], K[n2-1])

Examples:
  signmsg.c, and verifysig.c.

The documentation for this struct was generated from the following file:

- epid/common/types.h